| optoICC

Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.WindowAverager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.WindowAverager:

## Public Member Functions
def | __init__ (self, board=None)
def | GetStat (self)
def | GetLoggedRegister (self, log_number)
def | SetLoggedRegister (self, log_number, value)
def | RunLogger (self)
def | StopLogger (self)
def | GetLog (self, log_number, index, count)
def | GetSamplingFrequency (self)
def | SetSamplingFrequency (self, value)
def | ResetAverage (self, continous=False)
def | ResetAverageContinous (self)
def | ResetAverageKeepFirst (self)
def | ResetStatistics (self)

## Public Attributes
| sys_id
| logged_register_0
| logged_register_1
| logged_register_2
| logged_register_3
| logged_register_4
| logged_register_5
| run
| sampling_frequency
| window_len
| mu
| reset_values
| windows_processed
| samples_mean
| samples_max
| samples_min
| reset_stat
| register_log_0
| register_log_1
| register_log_2
| register_log_3
| register_log_4
| register_log_5
| name

## Detailed Description

    Device Functionality - WindowAverager
    System ID: 0x32

    A system for logging the periodic values of various readable registers.

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x10 | uint 32-bit |Bool  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x11 | uint 32-bit |float |       | 10000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.WindowAverager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetLog()

def optoICC.registers.icc_registers.WindowAverager.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetLoggedRegister()

def optoICC.registers.icc_registers.WindowAverager.GetLoggedRegister | ( |  | self,
|  |  | log_number
| ) |  |

## ◆ GetSamplingFrequency()

def optoICC.registers.icc_registers.WindowAverager.GetSamplingFrequency | ( |  | self | ) |

## ◆ GetStat()

def optoICC.registers.icc_registers.WindowAverager.GetStat | ( |  | self | ) |

## ◆ ResetAverage()

def optoICC.registers.icc_registers.WindowAverager.ResetAverage | ( |  | self,
|  |  | continous = `False`
| ) |  |

## ◆ ResetAverageContinous()

def optoICC.registers.icc_registers.WindowAverager.ResetAverageContinous | ( |  | self | ) |

## ◆ ResetAverageKeepFirst()

def optoICC.registers.icc_registers.WindowAverager.ResetAverageKeepFirst | ( |  | self | ) |

## ◆ ResetStatistics()

def optoICC.registers.icc_registers.WindowAverager.ResetStatistics | ( |  | self | ) |

## ◆ RunLogger()

def optoICC.registers.icc_registers.WindowAverager.RunLogger | ( |  | self | ) |

## ◆ SetLoggedRegister()

def optoICC.registers.icc_registers.WindowAverager.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value
| ) |  |

## ◆ SetSamplingFrequency()

def optoICC.registers.icc_registers.WindowAverager.SetSamplingFrequency | ( |  | self,
|  |  | value
| ) |  |

## ◆ StopLogger()

def optoICC.registers.icc_registers.WindowAverager.StopLogger | ( |  | self | ) |

## Member Data Documentation

## ◆ logged_register_0

optoICC.registers.icc_registers.WindowAverager.logged_register_0

## ◆ logged_register_1

optoICC.registers.icc_registers.WindowAverager.logged_register_1

## ◆ logged_register_2

optoICC.registers.icc_registers.WindowAverager.logged_register_2

## ◆ logged_register_3

optoICC.registers.icc_registers.WindowAverager.logged_register_3

## ◆ logged_register_4

optoICC.registers.icc_registers.WindowAverager.logged_register_4

## ◆ logged_register_5

optoICC.registers.icc_registers.WindowAverager.logged_register_5

## ◆ mu

optoICC.registers.icc_registers.WindowAverager.mu

## ◆ name

optoICC.registers.icc_registers.WindowAverager.name

## ◆ register_log_0

optoICC.registers.icc_registers.WindowAverager.register_log_0

## ◆ register_log_1

optoICC.registers.icc_registers.WindowAverager.register_log_1

## ◆ register_log_2

optoICC.registers.icc_registers.WindowAverager.register_log_2

## ◆ register_log_3

optoICC.registers.icc_registers.WindowAverager.register_log_3

## ◆ register_log_4

optoICC.registers.icc_registers.WindowAverager.register_log_4

## ◆ register_log_5

optoICC.registers.icc_registers.WindowAverager.register_log_5

## ◆ reset_stat

optoICC.registers.icc_registers.WindowAverager.reset_stat

## ◆ reset_values

optoICC.registers.icc_registers.WindowAverager.reset_values

## ◆ run

optoICC.registers.icc_registers.WindowAverager.run

## ◆ samples_max

optoICC.registers.icc_registers.WindowAverager.samples_max

## ◆ samples_mean

optoICC.registers.icc_registers.WindowAverager.samples_mean

## ◆ samples_min

optoICC.registers.icc_registers.WindowAverager.samples_min

## ◆ sampling_frequency

optoICC.registers.icc_registers.WindowAverager.sampling_frequency

## ◆ sys_id

optoICC.registers.icc_registers.WindowAverager.sys_id

## ◆ window_len

optoICC.registers.icc_registers.WindowAverager.window_len

## ◆ windows_processed

optoICC.registers.icc_registers.WindowAverager.windows_processed

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py